
Experiment.name = "macfair"
Experiment.project = "orbit:tutorial"
Experiment.defProperty('offerload', 2000, 'offered load of flow')
Experiment.defProperty('packetsize',1024, 'size of flow')
#
# Define nodes used in experiment
#
defNodes('sender1', [3,3]) {|node|
  node.image = nil  # assume the right image to be on disk

  node.prototype("test:proto:sender", {
    'destinationHost' => '192.168.2.2',
    'packetSize' => 1024,
    'rate' =>prop.offerload,
    'protocol' => 'udp'
   
  })
  node.net.w0.mode = "managed"
  node.net.w0.essid = "one"
}

defNodes('receiver1',[2,2]) {|node|
  node.image = nil  # assume the right image to be on disk
  node.prototype("test:proto:receiver" , {
    'protocol' => 'udp_libmac',
    'hostname' => '192.168.2.2'
  })
  node.net.w0.mode = "master"
  node.net.w0.essid = "one"
}

defNodes('sender2', [6,6]) {|node|
  node.image = nil  # assume the right image to be on disk

  node.prototype("test:proto:sender", {
    'destinationHost' => '192.168.8.8',
    'packetSize' => 1024,
    'rate' => prop.offerload,
    'protocol' => 'udp'
  })
  node.net.w0.mode = "master"
  node.net.w0.essid = "two" 
}

defNodes('receiver2', [8,8]) {|node|
  node.image = nil  # assume the right image to be on disk
  node.prototype("test:proto:receiver" , {
    'protocol' => 'udp_libmac' ,
    'hostname' => '192.168.8.8'
  })
  node.net.w0.mode = "managed"
  node.net.w0.essid = "two" 
}

defNodes('sender3', [11,11]) {|node|
  node.image = nil  # assume the right image to be on disk

  node.prototype("test:proto:sender", {
    'destinationHost' => '192.168.12.12',
    'packetSize' => 1024,
    'rate' => prop.offerload  ,
    'protocol' => 'udp',

  })
  node.net.w0.mode = "master"
  node.net.w0.essid = "three" 
}

defNodes('receiver3', [12,12]) {|node|
  node.image = nil  # assume the right image to be on disk
  node.prototype("test:proto:receiver" , {
    'protocol' => 'udp_libmac',
    'hostname' => '192.168.12.12'
})
  node.net.w0.mode = "managed"
  node.net.w0.essid = "three" 
}

defNodes('sender4', [13,13]) {|node|
  node.image = nil  # assume the right image to be on disk

  node.prototype("test:proto:sender", {
    'destinationHost' => '192.168.16.16',
    'packetSize' => 1024,
    'rate' =>prop.offerload ,
    'protocol' => 'udp',
  })
  node.net.w0.mode = "master"
  node.net.w0.essid = "four" 
}

defNodes('receiver4', [16,16]) {|node|
  node.image = nil  # assume the right image to be on disk
  node.prototype("test:proto:receiver" , {
    'protocol' => 'udp_libmac',
    'hostname' => '192.168.16.16'
  })
  node.net.w0.mode = "managed"
  node.net.w0.essid = "four" 
}

allNodes.net.w0 { |w|
  w.type = 'b'
  w.ip = "%192.168.%x.%y"
}

#
# Now, start the application
#
whenAllInstalled() {|node|
  wait 30

  allNodes.startApplications
  wait 60

  Experiment.done
}

